Grafana Webansicht friert ein

Ulanzie Clock Anzeige TC001 für einzelne Daten.

Moderatoren: Ulrich, mr.big

Antworten
Hexirexi
Beiträge: 30
Registriert: So 22. Okt 2023, 11:25

Grafana Webansicht friert ein

Beitrag von Hexirexi »

Hallo,
ich habe folgendes Problem:

Seit der Integration Ulanzi Anzeige auf Solaranzeige friert jeden Morgen die Webansicht von Grafana ein.
Das Problem lässt sich auch durch einen Reboot nicht lösen. Einzig, kurz vom Strom trennen hilft. Nun läuft es auch wieder
bis zu nächsten Morgen.

Interessant ist das die Daten weiter in die DB geschrieben werden. Es ist lediglich die WebOberfläche down.

Mein Setting:

Rasperry mit Solaranzeige -> lief bis zur Integration von Ulani Anzeige perfekt ohne Probleme.
Ulanzi-Solaranzeige-Connector Version 0.44 -> Anzeigen etc. funktionieren zuverlässig.
Ulanzi TC001 FW 0.94

Kennt das Problem jemand? Gibt es evt. eine Workaround?

dbfan75
Beiträge: 120
Registriert: Sa 2. Jul 2022, 14:25
Hat sich bedankt: 19 Mal
Danksagung erhalten: 2 Mal

Re: Grafana Webansicht friert ein

Beitrag von dbfan75 »

Hallo Hexirexi,

hatte das Problem noch nicht. Denke das es ein Fehler in der Einstellungen ist. Poste doch mal die " settings.ini" und "loop.py" hier dann kann man sich das mal anschauen.

Hexirexi
Beiträge: 30
Registriert: So 22. Okt 2023, 11:25

Re: Grafana Webansicht friert ein

Beitrag von Hexirexi »

Hallo dbfan75,

anbei die beiden Dateien. Ich habe Sie nur in txt umbenannt ansonsten war der Upload nicht erlaubt.

Die beiden vergangenen Tage war das selbe Problem wieder da.

Wenn ich den Befehl: python3 ./ulanziconnect.py ausführe funktioniert es erst, nach einer Gewissen Zeit kommt folgende Fehlermeldung:

Code: Alles auswählen

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/requests/adapters.py", line 439, in send
    resp = conn.urlopen(
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 755, in urlopen
    retries = retries.increment(
  File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 532, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/usr/lib/python3/dist-packages/six.py", line 719, in reraise
    raise value
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 699, in urlopen
    httplib_response = self._make_request(
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 447, in _make_request
    self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 336, in _raise_timeout
    raise ReadTimeoutError(
urllib3.exceptions.ReadTimeoutError: HTTPConnectionPool(host='192.168.178.201', port=80): Read timed out. (read timeout=10)

Gruß
Hexirexi
Dateianhänge
settings.txt
(3.76 KiB) 46-mal heruntergeladen
loop.txt
(9.16 KiB) 44-mal heruntergeladen

dbfan75
Beiträge: 120
Registriert: Sa 2. Jul 2022, 14:25
Hat sich bedankt: 19 Mal
Danksagung erhalten: 2 Mal

Re: Grafana Webansicht friert ein

Beitrag von dbfan75 »

Hallo Hexirexi,

du musst in der Setting.ini
# Anzeige des Tagesertrages# (ben. Icon 51301)
;solaranzeige,aktuellesWetter,Temperatur

das Semikolon vor "solaranzeige,aktuellesWetter,Temperatur" entfernen. Vielleicht liegt es daran.



[quoteapp_werte = solaranzeige,PV,PV_Leistung
#Anzeige der PV-Leistung, (ben. Icon 27283)
solaranzeige,Batterie,Batterie1_SOC
# Anzeige SOC Akku, (ben. Icons 12832, 6359 - 6363)
solaranzeige,Summen,PV_ErzeugungHeute
# Anzeige des Tagesertrages# (ben. Icon 51301)
solaranzeige,aktuellesWetter,Temperatur
# Anzeige der Aussen Temperatur
;solaranzeige,Service,RaspiTemp
# Anzeige der Temperatur Raspberry
;solaranzeige,Batterie,Strom
# wenn Akku lädt blinkt Indikator 1
;solaranzeige,Service,IntModus
# Anzeige Status Wechselrichter über Indikator 3
# blau -> Netzmode, grün -> Batteriemode, rot -> Fehlermode][/quote]

Hexirexi
Beiträge: 30
Registriert: So 22. Okt 2023, 11:25

Re: Grafana Webansicht friert ein

Beitrag von Hexirexi »

Hi, ok ich werde es mal versuchen.

Aktuell geht es wieder überhaupt nicht.
Wenn ich über den Befehl sudo systemctl status ulanzi-connector.service ausführe bekomme ich folgende Rückmeldung:

Hier scheint es ein Problem zu geben. Nur welches? Ich kann damit leider nicht´s anfangen :cry:

Code: Alles auswählen

Feb 12 19:23:10 solaranzeige python3[21924]: Statuscode: 200
Feb 12 19:23:10 solaranzeige python3[21924]: True -> Solaranzeige URL verfügbar
Feb 12 19:23:10 solaranzeige python3[21924]: Statuscode: 200
Feb 12 19:23:10 solaranzeige python3[21924]: Statuscode: 200
Feb 12 19:23:10 solaranzeige python3[21924]: True -> Ulanzi URL verfügbar
Feb 12 19:23:10 solaranzeige python3[21924]: Statuscode: 200
Feb 12 19:23:10 solaranzeige python3[21924]:  ** -> Intro senden!
Feb 12 19:23:10 solaranzeige python3[21924]:  ** -> Day_hell gesendet
Feb 12 19:23:10 solaranzeige python3[21924]:  ** -> Astro-Zeiten geladen!
Feb 12 19:23:10 solaranzeige python3[21924]: 19:22:16
Feb 12 19:23:10 solaranzeige python3[21924]: ['solaranzeige', 'PV', 'PV_Leistung']
Feb 12 19:23:10 solaranzeige python3[21924]: Traceback (most recent call last):
Feb 12 19:23:10 solaranzeige python3[21924]:   File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 445, in _make_request
Feb 12 19:23:10 solaranzeige python3[21924]:     six.raise_from(e, None)
Feb 12 19:23:10 solaranzeige python3[21924]:   File "<string>", line 3, in raise_from
Feb 12 19:23:10 solaranzeige python3[21924]:   File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 440, in _make_request
Feb 12 19:23:10 solaranzeige python3[21924]:     httplib_response = conn.getresponse()
Feb 12 19:23:10 solaranzeige python3[21924]:   File "/usr/lib/python3.9/http/client.py", line 1347, in getresponse
Feb 12 19:23:10 solaranzeige python3[21924]:     response.begin()
Feb 12 19:23:10 solaranzeige python3[21924]:   File "/usr/lib/python3.9/http/client.py", line 307, in begin
Feb 12 19:23:10 solaranzeige python3[21924]:     version, status, reason = self._read_status()
Feb 12 19:23:10 solaranzeige python3[21924]:   File "/usr/lib/python3.9/http/client.py", line 268, in _read_status
Feb 12 19:23:10 solaranzeige python3[21924]:     line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
Feb 12 19:23:10 solaranzeige python3[21924]:   File "/usr/lib/python3.9/socket.py", line 704, in readinto
Feb 12 19:23:10 solaranzeige python3[21924]:     return self._sock.recv_into(b)
Feb 12 19:23:10 solaranzeige python3[21924]: socket.timeout: timed out
Feb 12 19:23:10 solaranzeige python3[21924]: During handling of the above exception, another exception occurred:
Feb 12 19:23:10 solaranzeige python3[21924]: Traceback (most recent call last):
Feb 12 19:23:10 solaranzeige python3[21924]:   File "/usr/lib/python3/dist-packages/requests/adapters.py", line 439, in send
Feb 12 19:23:10 solaranzeige python3[21924]:     resp = conn.urlopen(
Feb 12 19:23:10 solaranzeige python3[21924]:   File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 755, in urlopen
Feb 12 19:23:10 solaranzeige python3[21924]:     retries = retries.increment(
Feb 12 19:23:10 solaranzeige python3[21924]:   File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 532, in increment
Feb 12 19:23:10 solaranzeige python3[21924]:     raise six.reraise(type(error), error, _stacktrace)
Feb 12 19:23:10 solaranzeige python3[21924]:   File "/usr/lib/python3/dist-packages/six.py", line 719, in reraise
~

dbfan75
Beiträge: 120
Registriert: Sa 2. Jul 2022, 14:25
Hat sich bedankt: 19 Mal
Danksagung erhalten: 2 Mal

Re: Grafana Webansicht friert ein

Beitrag von dbfan75 »

Sorry, da bin ich raus. Da habe ich zu wenig Ahnung von.

Benutzeravatar
mr.big
Beiträge: 524
Registriert: Mi 7. Sep 2022, 12:12
Wohnort: tief im Osten...
Hat sich bedankt: 11 Mal
Danksagung erhalten: 106 Mal

Re: Grafana Webansicht friert ein

Beitrag von mr.big »

Verrate mir doch bitte mal deine Regler Nr. -> im Klartext was für ein Wechselrichter hast du im Einsatz?

Hexirexi
Beiträge: 30
Registriert: So 22. Okt 2023, 11:25

Re: Grafana Webansicht friert ein

Beitrag von Hexirexi »

Ich habe Regler 93 (Deye)

Da ich von Solaranzeige Ver5.xx auf Ver6.xx gewechselt habe, hat sich das Problem damit gelöst.
Ich habe alles nochmal neu konfiguriert.
Jetzt läuft es.

Benutzeravatar
mr.big
Beiträge: 524
Registriert: Mi 7. Sep 2022, 12:12
Wohnort: tief im Osten...
Hat sich bedankt: 11 Mal
Danksagung erhalten: 106 Mal

Re: Grafana Webansicht friert ein

Beitrag von mr.big »

:thumbup: alles klar!

Antworten

Zurück zu „Ulanzi Anzeige TC001“